Name:             python-IPy		
Version:          1.01
Release:          2
Summary:          Class and Tools for Handling of IPv4 and IPv6 Addresses and Networks
License:          BSD	
URL:              https://github.com/autocracy/python-ipy
Source0:          https://pypi.python.org/packages/source/I/IPy/IPy-%{version}.tar.gz


BuildArch:        noarch
BuildRequires:    python3-devel python3-setuptools

%description
The IP class allows a comfortable parsing and handling for most notations 
in use for IPv4 and IPv6 addresses and networks. It was greatly inspired 
by RIPE's Perl module NET::IP's interface but doesn't share the 
implementation. It doesn't share non-CIDR netmasks, so funky stuff like a 
netmask of 0xffffff0f can't be done here.

%package -n         python3-IPy
Summary:            Python3 package for python-IPy
%{?python_provide:  %python_provide python3-IPy}
Provides:           %{name}-python3 = %{version}-%{release}
Obsoletes:          %{name}-python3

%description -n     python3-IPy
Python3 package for python-IPy

%prep
%autosetup -n IPy-%{version} -p1 

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=$PWD %{__python3} test/test_IPy.py
#PYTHONPATH=$PWD %{__python3} test_doc.py  # FAILS

%files -n python3-IPy
%defattr(-,root,root)
%license COPYING
%doc AUTHORS
%{python3_sitelib}/*

%changelog
* Mon May 23 2022 dongyuzhen <dongyuzhen@h-partners.com> - 1.01-2
- fix Name in spec file

* Sat Jan 30 2021 jinzhimin <jinzhimin2@huawei.com> - 1.01-1
- Upgrade to 1.01

* Fri Oct 30 2020 jinzhimin <jinzhimin2@huawei.com> - 1.00-1
- remove python2-IPy subpackage

* Thu Jul  23 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.00-0
- update package to 1.00

* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.81-26
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:delete the python provides in python2

* Thu Oct 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.81-25
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add license files to rpm package

* Thu Aug 22 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.81-24
- Package init
